Static class for screen fading

### Hierarchy

- Fading

## Index

### Constructors

- constructor

### Accessors

- IsFadedIn
- IsFadedOut
- IsFadingIn
- IsFadingOut

### Methods

- fadeIn
- fadeOut

## Constructors

### constructor

- new Fading(): Fading

- #### Returns Fading

## Accessors

### Static IsFadedIn

- get IsFadedIn(): boolean

- - Defined in ui/Fading.ts:10

  Gets whether the screen is faded in

  #### Returns boolean

  True or false

### Static IsFadedOut

- get IsFadedOut(): boolean

- - Defined in ui/Fading.ts:19

  Gets whether the screen is faded out

  #### Returns boolean

  True or false

### Static IsFadingIn

- get IsFadingIn(): boolean

- - Defined in ui/Fading.ts:28

  Gets whether the screen is currently fading in

  #### Returns boolean

  True or false

### Static IsFadingOut

- get IsFadingOut(): boolean

- - Defined in ui/Fading.ts:37

  Gets whether the screen is currently fading out

  #### Returns boolean

  True or false

## Methods

### Static fadeIn

- fadeIn(duration: number): Promise<void>

- - Defined in ui/Fading.ts:46

  Fade in the screen for a certain duration.

  #### Parameters

  - ##### duration: number

    Time to fade in

  #### Returns Promise<void>

### Static fadeOut

- fadeOut(duration: number): Promise<void>

- - Defined in ui/Fading.ts:64

  Fade out the screen for a certain duration.

  #### Parameters

  - ##### duration: number

    Time to fade out

  #### Returns Promise<void>

Generated using TypeDoc